Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.groupJep.groups
Class AlgebraicExtension

    java.lang.Object
      org.lsmp.djep.groupJep.groups.Group
          org.lsmp.djep.groupJep.groups.FreeGroup
              org.lsmp.djep.groupJep.groups.ExtendedFreeGroup
                  org.lsmp.djep.groupJep.groups.AlgebraicExtension

All Implemented Interfaces:
  GroupI, AbelianGroupI, HasDivI, HasPowerI, RingI

    public class AlgebraicExtension

extends ExtendedFreeGroup
implements RingI

An Algebraic Extension of a Ring. The ring generated by {1,t,...,t^n-1} where t is an algebraic number i.e t is be a root of a monic polynomial equation.

Author:
  Rich Morris Created on 09-Mar-2004
See Also:
  `AlgebraicExtensionElement`

Field Summary

Fields inherited from class org.lsmp.djep.groupJep.groups.FreeGroup
`baseRing, rootVal, symbol, tPoly, unitPoly, zeroPoly`

Constructor Summary
`AlgebraicExtension(RingI K, Polynomial poly)` Create the ring K(t) where t is a solution of the monic polynomial p.

Method Summary
`Polynomial` | `getPoly()` Returns the polynomial defining the algebraic number.
`Polynomial` | `getSubsPoly()` Returns the polynomial -a_(n-1) t^(n-1) + ... + a_0.
`java.lang.String` | `toString()`
`java.lang.Number` | `valueOf(java.lang.Number[] coeffs)`

Methods inherited from class org.lsmp.djep.groupJep.groups.ExtendedFreeGroup
`div, pow`

Methods inherited from class org.lsmp.djep.groupJep.groups.FreeGroup
`add, addStandardConstants, equals, getBaseRing, getInverse, getONE, getRootVal, getSymbol, getTPoly, getZERO, isConstantPoly, mul, setRootVal, setRootVal, sub, valueOf`

Methods inherited from class org.lsmp.djep.groupJep.groups.Group
`addStandardFunctions, getNumberFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.lsmp.djep.groupJep.interfaces.RingI
`getONE, mul`

Methods inherited from interface org.lsmp.djep.groupJep.GroupI
`add, addStandardConstants, addStandardFunctions, equals, getInverse, getNumberFactory, getZERO, isConstantPoly, sub, valueOf`

Constructor Detail

### AlgebraicExtension

    public AlgebraicExtension(RingI K,
                              Polynomial poly)

  Create the ring K(t) where t is a solution of the monic polynomial p.

  Parameters:
    `K` - the Ring this is an extension of.
    `poly` - A monic polynomial whose solution gives an algebraic number which is used to generate this group.
  Throws:
    `java.lang.IllegalArgumentException` - if the base ring of the poly is not the same.
    `java.lang.IllegalArgumentException` - if the polynomial is not monic.

Method Detail

### valueOf

    public java.lang.Number valueOf(java.lang.Number[] coeffs)

  Overrides:
    `valueOf` in class `FreeGroup`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FreeGroup`

### getPoly

    public Polynomial getPoly()

  Returns the polynomial defining the algebraic number.

### getSubsPoly

    public Polynomial getSubsPoly()

  Returns the polynomial -a_(n-1) t^(n-1) + ... + a_0. This polynomial is used in reducing the equation t^n

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems